Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datasource
Interface JRHierarchicalDataSource

All Known Subinterfaces:
  JRSecurityHierarchicalDataSource

    public interface JRHierarchicalDataSource

A JRHierarchicalDataSource provides data for JReport for generating reports. JRHierarchicalDataSource class is developed by user of JReport, and it can provide data from flat file, non-relational database, or application data. The data returned by this class is in JRHierarchicalDataset object, so user need create JRHierarchicalDataset instance and JReport will use the instance to fetch data. User can also creating their own JRHierarchicalDataset class.

Method Summary
`JRHierarchicalDataset` | `getHierarchicalDataset(java.lang.String param)` Gets the data in JRHierarchicalDataset according to parameters.
`void` | `releaseHierarchicalDataset()` Release the data and related resources.
`void` | `setUsedFields(UFakeHDSTable root)` JReport Engine send the used database fields back after parsing the entire report template.

Method Detail

### getHierarchicalDataset

    JRHierarchicalDataset getHierarchicalDataset(java.lang.String param)
                                                 throws JRUserDataSourceException

  Gets the data in JRHierarchicalDataset according to parameters.

  Parameters:
    `param,` - the parameter as input to specify the data.
  Returns:
    the JRHierarchicalDataset object
  Throws:
    `JRUserDataSourceException` - if a data access error occurs

### releaseHierarchicalDataset

    void releaseHierarchicalDataset()
                                    throws JRUserDataSourceException

  Release the data and related resources.

  Throws:
    `JRUserDataSourceException` - if a data access error occurs

### setUsedFields

    void setUsedFields(UFakeHDSTable root)

  JReport Engine send the used database fields back after parsing the entire report template. User should organize the data according to this tree structure. Note here, there is a map relationship in this tree structure between column name and column index.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD